6.0.0-git
2019-04-25

[#12078] Missing auth credentials during ActiveSync prevent Horde from registering apps
Summary Missing auth credentials during ActiveSync prevent Horde from registering apps
Queue Synchronization
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester o+horde (at) immerda (dot) ch
Created 2013-02-28 (2247 days ago)
Due
Updated 2013-03-06 (2241 days ago)
Assigned 2013-03-01 (2246 days ago)
Resolved 2013-03-06 (2241 days ago)
Milestone
Patch No

History
2013-03-06 15:12:52 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2013-03-06 15:01:53 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit 9a0be186efebbbef09c55b1cc3b39a8f7b227374
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Mar 6 09:59:36 2013 -0500

     Ensure we still have a Horde_Session::BEGIN value after destroy() 
is called.

     Final bit of Bug: 12078

  framework/Core/lib/Horde/Session/Null.php |   11 +++++++++--
  1 files changed, 9 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/9a0be186efebbbef09c55b1cc3b39a8f7b227374
2013-03-06 15:01:47 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 698a6fb5d0e88772a0cffa830ca1f62177b3c81a
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Mar 6 09:58:20 2013 -0500

     If we are going to extend Horde_Session, we need to allow access 
to these properties.

     Partial fix for Bug: 12078

  framework/Core/lib/Horde/Session.php |   10 +++++-----
  1 files changed, 5 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/698a6fb5d0e88772a0cffa830ca1f62177b3c81a
2013-03-06 11:25:05 peter (dot) meier+horde (at) immerda (dot) ch Comment #8 Reply to this comment
Your fix does not work.

The problem is, that in __get the begin property is proxied and 
returned 0 if _active is not true. However, as _active is not exposed 
to the subclass, the _active of the superclass won't be initialized, 
hence in _get it's always false/null -> begin is always 0.

There is a different pull request that addresses this problem and 
works on our side, like the old one already has. Could you please 
review it and merge it? If you have a different proposal, we would be 
happy if you can verify that your changes actually fix the problem. 
Thanks.
2013-03-05 22:58:52 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 4da94bb496934fd303eca92876ccf9c7863accc4
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue Mar 5 17:54:21 2013 -0500

     Ensure Null sessions pass session length checks.

     Possible fix for Bug: 12078

  framework/Core/lib/Horde/Session/Null.php |    1 +
  1 files changed, 1 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/4da94bb496934fd303eca92876ccf9c7863accc4
2013-03-05 17:33:58 o+horde (at) immerda (dot) ch Comment #6 Reply to this comment
Otherwise, someone who is experiencing this will have to debug since 
I am unable to reproduce.
nc

https://github.com/horde/horde/pull/32
2013-03-05 13:51:10 patrick (dot) vangilst (at) labri (dot) fr Comment #5 Reply to this comment
I can confirm I have the same problem and the fix in rpc.php also 
works for me.
horde webmail edition 5.0.4 with Horde_ActiveSync-2.3.1 (installed via 
pear on RHEL 6.4)

2013-03-03 21:15:15 Michael Rubinsky Comment #4
Priority ⇒ 1. Low
Reply to this comment
The only thing I can think of is that something is going wrong with 
PHP being able to open the temporary session that the Null session 
driver requires.  Otherwise, someone who is experiencing this will 
have to debug since I am unable to reproduce.
2013-03-02 03:23:42 o+horde (at) immerda (dot) ch Comment #3 Reply to this comment
Was this working before the latest upgrade, or did it not work at all?
well, it was working in h4, but broken in the newest h5 version i 
installed with pear.
2013-03-01 17:32:22 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Was this working before the latest upgrade, or did it not work at all?
2013-03-01 16:54:14 Jan Schneider Version ⇒ Git master
Queue ⇒ Synchronization
 
2013-02-28 13:31:19 o+horde (at) immerda (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Missing auth credentials during ActiveSync prevent Horde from registering apps
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Using the newest H5 Horde packages I can log in via ActiveSync, but as 
soon as something is to be synchronized, i get:

ERR: User is not authorized

I tracked this down to $session->exists('horde', 'auth/authId') not 
being set in Registry::getAuth().

It might be that this only happens in combination with imap login and 
it might be related to Bug #11933.

As a workaround i commented out in rpc.php:
//    $session_control = 'none';

Now a session is properly set up on ActiveSync logins and thus horde 
manages to register Apps for synchronization since getAuth() returns 
the correct userid.

Saved Queries